### Virtual Method

# Gtk PrintOperationrequest_page_setup

#### Declaration [src]

    void
    request_page_setup (
      GtkPrintOperation* operation,
      GtkPrintContext* context,
      int page_nr,
      GtkPageSetup* setup
    )

#### Description [src]

Emitted once for every page that is printed, to give the application a chance to modify the page setup.

#### Parameters

`context`

  Type: `GtkPrintContext`

  No description available.

  The data is owned by the caller of the function.

`page_nr`

  Type: `int`

  No description available.

`setup`

  Type: `GtkPageSetup`

  No description available.

  The data is owned by the caller of the function.